%define upstream_name    Email-Address-List
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    RFC close address list parsing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Address)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(JSON)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Parser for From, To, Cc, Bcc, Reply-To, Sender and previous prefixed with
Resent- (eg Resent-From) headers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.60.0-2.mga8
+ Revision: 1522608
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jan 30 2019 tv <tv> 0.60.0-1.mga7
+ Revision: 1361939
- restore BR perl(inc::Module::Install)
- update to 0.06

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-6.mga7
+ Revision: 1283618
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.50.0-5.mga7
+ Revision: 1164285
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.50.0-4.mga7
+ Revision: 1160198
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1026897
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 971737
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 892524
- imported package perl-Email-Address-List


* Sun Oct 18 2015 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
